/// <reference types="node" />
import { EventEmitter } from 'events';
interface DevPackerOption {
    route: string;
    dir: string;
    template: string;
}
/**
 * 开发模式构建
 */
export declare class DevPacker extends EventEmitter {
    serverBundle: string;
    private devServer;
    private devPort;
    private route;
    private proxyServer;
    private streams;
    private clientConfig;
    private serverConfig;
    private readyStatus;
    private dist;
    private get progress();
    private get hmrPath();
    constructor({ route, dir, template }: DevPackerOption);
    getBuildingRenderer(): Promise<{
        renderToString: (ctx: any, callback: any) => any;
    }>;
    proxy(context: any): void;
    private initDevServer;
    private runDevServer;
    private initClientCompiler;
    private initServerCompiler;
    private sendToStreams;
    private removeStream;
    private removeAllStreams;
    private ready;
}
export {};
